[Stable Update] 2017-08-24 salt security update

update
stable
security

#1

Summary

The package salt before version 2017.7.1-0.91 is vulnerable to directory traversal.

Resolution

Upgrade to 2017.7.1-0.91.

# pacman -Syu "salt>=2017.7.1-0.91"

The problem has been fixed upstream in version 2017.7.1.

Workaround

None.

Description

It has been discovered that maliciously crafted minion IDs can cause unwanted directory traversals on the salt-master. The flaw is within the minion id validation which could allow certain minions to authenticate to a master despite not having the correct credentials. To exploit the vulnerability, an attacker must create a salt-minion with an ID containing characters that will cause a directory traversal.

Impact

An unauthenticated attacker is able to craft a malicious minion ID to cause a directory traversal on the salt-master.

References

https://groups.google.com/forum/#!topic/salt-announce/3e5bNantdJk
https://security.archlinux.org/CVE-2017-12791


#2

Version 2017.7.1-1 got added due todays update.


#3

This got applied with today’s update. We are now with salt 2017.7.1-1 in all branches.


#4